<?php
/*
*    playfon.ru version 5.1 (30.05.2006)
*/
if (!defined('LOCAL_TMP_DIR')) 
	define ('LOCAL_TMP_DIR', 'tmp/');
if (!defined('REMOTE_TMP_DIR')) 
	define ('REMOTE_TMP_DIR', 'tmp/');
if (!defined('LOCAL_FILE_REFRESHTIME')) 
	define ('LOCAL_FILE_REFRESHTIME', 86400);

if (!defined('REGION')) 
	define ('IMAGE_SERVER_NAME', 'wwwi.playfon.ru');
elseif (REGION == 'kz')
	define ('IMAGE_SERVER_NAME', 'wwwi.kz.playfon.ru');
else 
	define ('IMAGE_SERVER_NAME', 'wwwi.playfon.'.REGION);

require_once ('common_functions.php');

if (!class_exists('HttpClient'))
        include ('http_client.inc.php');
		

$aImgArray = array();

/**
* @return (string)            .
* @param (string) sResourceURL - url ,     .  /mygames.php?level=1&subluvel=3
* @param (int) iResourceID -   ,    playfon.ru
* @param (string) sExcludeGenres -      . 
*                                 !!!      . : '1_12'
*/

function PlayFonImages($sResourceURL, $iResourceId, $sExcludeGenres = ''){
 
  $sRequest = 'ph_durl='.urlencode($sResourceURL);
  $sRequest .= '&ph_did='.((int) $iResourceId);

  if (is_array($_GET)){
	  foreach($_GET as $key=>$val){
	    if ('ph_'==substr($key, 0, 3)){
	      $sRequest .= '&'.$key.'='.$val;
	    }
	  }
  }
  
  if (!empty($sExcludeGenres)) $sRequest .= '&ph_exclude_genres='.urlencode($sExcludeGenres);
  
    $Soc = new HttpClient();
	$sContent = $Soc->Get(IMAGE_SERVER_NAME, 'i_dealers.php?'.$sRequest);
    return $sContent;
}
/**
* e    
* @return string            .
* @param (string) sResourceURL- url ,      /mygames.php?level=1&subluvel=3
* @param (int) iResourceID -   ,    playfon.ru
* @param (int) iLimit -   
* @param (boolean) bShowCodes -        
* @param (string) sExcludeGenres string -      .
*                                 !!!      . : '1_12'
*/

function PlayFonTopImages($sResourceURL, $iResourceId, $iLimit = 4, $bShowCodes = true, $sExcludeGenres = ''){
  
  $local_top_file = LOCAL_TMP_DIR.sGetRegion().'top_images.tmp'; 
  
  $life_time = time() - @filemtime($local_top_file);
  if ((file_exists($local_top_file)) && ($life_time<LOCAL_FILE_REFRESHTIME)){
	$fp = fopen($local_top_file, 'r');
	if (filesize($local_top_file) >0){
		$text = fread($fp, filesize($local_top_file));
	}else{
		$text = '<span class="localfilesizeisnull">Waiting for data</span>';
	}
	fclose($fp);
	if (strlen($text) > 60) return $text;
  }

  
  $sRequest = 'ph_durl='.urlencode($sResourceURL);
  $sRequest .= '&ph_did='.((int) $iResourceId);
  $sRequest .= '&ph_limit='.((int) $iLimit);
  if (!empty($sExcludeGenres)) $sRequest .= '&ph_exclude_genres='.urlencode($sExcludeGenres);
  
  $sRequest .= '&ph_show='.(($bShowCodes)?1:0);

  foreach($_GET as $key=>$val){
    if ('ph_'==substr($key, 0, 3))
    {
      $sRequest .= '&'.$key.'='.$val;
    }
  }

    $Soc = new HttpClient();
    $sContent = $Soc->Get(IMAGE_SERVER_NAME, 'top_i.php?'.$sRequest);
	
	if (strlen($sContent) < 30) {
		//   
		@touch($local_top_file);
	    return $sContent;
	}

    $sContent = preg_replace('/src="([^"]+)"/e', "SaveAndReplaceImages('\\1', 'it')", $sContent);
	
	$fp = @fopen($local_top_file, 'w');
	if ($fp){
		fwrite($fp, $sContent);
		fclose($fp);
	}
    return $sContent;
}


/**
* e  
* @return string            .
* @param (string) sResourceURL- url ,      /mygames.php?level=1&subluvel=3
* @param (int) iResourceID -   ,    playfon.ru
* @param (int) iLimit -   
* @param (boolean) bShowCodes -        
* @param (string) sExcludeGenres string -      .
*                                 !!!      . : '1_12'
*
*/

function PlayFonNewImages($sResourceURL, $iResourceId, $iLimit = 4 , $bShowCodes = true, $sExcludeGenres = ''){
   
  $local_top_file = LOCAL_TMP_DIR.sGetRegion().'new_images.tmp'; 
  
  $life_time = time() - @filemtime($local_top_file);
  if ((file_exists($local_top_file)) && ($life_time<LOCAL_FILE_REFRESHTIME)){
	$fp = fopen($local_top_file, 'r');
	if (filesize($local_top_file) >0){
		$text = fread($fp, filesize($local_top_file));
	}else{
		$text = '<span class="localfilesizeisnull">Waiting for data</span>';
	}
	fclose($fp);
	if (strlen($text) > 60) return $text;
  }

  $sRequest = 'ph_durl='.urlencode($sResourceURL);
  $sRequest .= '&ph_did='.((int) $iResourceId);
  $sRequest .= '&ph_limit='.((int) $iLimit);
  if (!empty($sExcludeGenres)) $sRequest .= '&ph_exclude_genres='.urlencode($sExcludeGenres);
  
  $sRequest .= '&ph_show='.(($bShowCodes)?1:0);
  
  foreach($_GET as $key=>$val){
    if ('ph_'==substr($key, 0, 3))
    {
      $sRequest .= '&'.$key.'='.$val;
    }
  }

    $Soc = new HttpClient();

    $sContent = $Soc->Get(IMAGE_SERVER_NAME, 'new_i.php?'.$sRequest);
	
	if (strlen($sContent) < 30) {
		//   
		@touch($local_top_file);
	    return $sContent;
	}


    $sContent = preg_replace('/src="([^"]+)"/e', "SaveAndReplaceImages('\\1', 'ni')", $sContent);
	
	$fp = @fopen($local_top_file, 'w');
	if ($fp){
		fwrite($fp, $sContent);
		fclose($fp);
	}
    return $sContent;
}

?>