<?php
/*
*    playfon.ru version 5.1 (30.05.2006)
*/
if (!defined('LOCAL_TMP_DIR')) 
	define ('LOCAL_TMP_DIR', 'tmp/');
if (!defined('REMOTE_TMP_DIR')) 
	define ('REMOTE_TMP_DIR', 'tmp/');
if (!defined('LOCAL_FILE_REFRESHTIME')) 
	define ('LOCAL_FILE_REFRESHTIME', 86400);

if (!defined('REGION')) 
	define ('RINGTONES_SERVER_NAME', 'wwwr.playfon.ru');
elseif (REGION == 'ua')
	define ('RINGTONES_SERVER_NAME', 'wwwr.playfon.ru');
elseif (REGION == 'kz')
	define ('RINGTONES_SERVER_NAME', 'wwwr.playfon.ru');
else
	define ('RINGTONES_SERVER_NAME', 'wwwr.playfon.'.REGION);

require_once ('common_functions.php');

if (!class_exists('HttpClient'))
        include ('http_client.inc.php');

/**
* HTML      playfon.ru version 4.5 (03.07.2005)
* HTML        playfon.ru
* @return string            .
* @param (string) sResourceURL- url ,      /mygames.php?level=1&subluvel=3
* @param (int) iResourceId -   ,    playfon.ru
* @param (string) sExcludeGenres string -      .
*                                 !!!      . : '1_12'
*/

function PlayFonRingtones($sResourceURL,$iResourceId, $sExcludeGenres = ''){
  $sRequest = 'ph_durl='.urlencode($sResourceURL);
  $sRequest .= '&ph_did='.((int) $iResourceId);
  if (!empty($sExcludeGenres)) $sRequest .= '&ph_exclude_genres='.urlencode($sExcludeGenres);

  if (is_array($_GET)){
	  foreach($_GET as $key=>$val){
	    if ('ph_'==substr($key, 0, 3))
	    {
	      $sRequest .= '&'.$key.'='.$val;
	    }
	  }
  }

    $Soc = new HttpClient();
 
    $sContent = $Soc->Get(RINGTONES_SERVER_NAME, '/m_dealers.php?'.$sRequest);
    return $sContent;
}

/**
* HTML        playfon.ru
* @return string            .
* @param (string) sResourceURL- url ,      /mygames.php?level=1&subluvel=3
* @param (int) iResourceId -   ,    playfon.ru
* @param (int) iLimit -   
* @param (boolean) bShowCodes -        
* @param (string) sExcludeGenres string -      .
*                                 !!!      . : '1_12'
*   
*/

function PlayFonTopRingtones($sResourceURL, $iResourceId, $iLimit, $bShowCodes = true, $sExcludeGenres = ''){
  $local_top_file = LOCAL_TMP_DIR.sGetRegion().'top_ringtones.tmp'; 
  
  $life_time = time() - @filemtime($local_top_file);
  if ((file_exists($local_top_file)) && ($life_time<LOCAL_FILE_REFRESHTIME)){
	$fp = fopen($local_top_file, 'r');
	if (filesize($local_top_file) >0){
		$text = fread($fp, filesize($local_top_file));
	}else{
		$text = '<span class="localfilesizeisnull">Waiting for data</span>';
	}
	fclose($fp);
	if (strlen($text) > 60) return $text;
  }
  
  
  $sRequest = 'ph_durl='.urlencode($sResourceURL);
  $sRequest .= '&ph_did='.((int) $iResourceId);
  $sRequest .= '&ph_limit='.((int) $iLimit);
  $sRequest .= '&ph_show='.(($bShowCodes)?1:0);
  
  if (!empty($sExcludeGenres)) $sRequest .= '&ph_exclude_genres='.urlencode($sExcludeGenres);
  

  foreach($_GET as $key=>$val){
    if ('ph_'==substr($key, 0, 3))
    {
      $sRequest .= '&'.$key.'='.$val;
    }
  }

    $Soc = new HttpClient();
    $sContent = $Soc->Get(RINGTONES_SERVER_NAME, 'top_m.php?'.$sRequest);
	
    $sContent = preg_replace('/src="([^"]+)"/e', "SaveAndReplaceImages('\\1', 'trt')", $sContent);
	
	if (strlen($sContent) < 30) {
		//   
		@touch($local_top_file);
	    return $sContent;
	}
 
	$fp = @fopen($local_top_file, 'w');
	if ($fp){
		fwrite($fp, $sContent);
		fclose($fp);
	}
    return $sContent;
}


/**
* HTML        playfon.ru
* @return string            .
* @param (string) sResourceURL- url ,      /mygames.php?level=1&subluvel=3
* @param (int) iResourceId -   ,    playfon.ru
* @param (int) iLimit -   
* @param (boolean) bShowCodes -        
* @param (string) sExcludeGenres string -      .
*                                 !!!      . : '1_12'
*
*   
*/

function PlayFonNewRingtones($sResourceURL, $iResourceId, $iLimit, $bShowCodes = true,  $sExcludeGenres = ''){
  $local_top_file = LOCAL_TMP_DIR.sGetRegion().'new_ringtones.tmp'; 
  
  $life_time = time() - @filemtime($local_top_file);
  if ((file_exists($local_top_file)) && ($life_time<LOCAL_FILE_REFRESHTIME)){
	$fp = fopen($local_top_file, 'r');
	if (filesize($local_top_file) >0){
		$text = fread($fp, filesize($local_top_file));
	}else{
		$text = '<span class="localfilesizeisnull">Waiting for data</span>';
	}
	fclose($fp);
	if (strlen($text) > 60) return $text;
  }
  
  
  $sRequest = 'ph_durl='.urlencode($sResourceURL);
  $sRequest .= '&ph_did='.((int) $iResourceId);
  $sRequest .= '&ph_limit='.((int) $iLimit);
  $sRequest .= '&ph_show='.(($bShowCodes)?1:0);
  
  if (!empty($sExcludeGenres)) $sRequest .= '&ph_exclude_genres='.urlencode($sExcludeGenres);
  foreach($_GET as $key=>$val){
    if ('ph_'==substr($key, 0, 3))
    {
      $sRequest .= '&'.$key.'='.$val;
    }
  }

    $Soc = new HttpClient();
    $sContent = $Soc->Get(RINGTONES_SERVER_NAME, 'new_m.php?'.$sRequest);
	
	if (strlen($sContent) < 30) {
		//   
		@touch($local_top_file);
	    return $sContent;
	}

    $sContent = preg_replace('/src="([^"]+)"/e', "SaveAndReplaceImages('\\1', 'nrt')", $sContent);
	
	$fp = @fopen($local_top_file, 'w');
	if ($fp){
		fwrite($fp, $sContent);
		fclose($fp);
	}
    return $sContent;
}
?>