<?php
/*
*    playfon.ru version 5.1 (30.05.2006)
*/
if (!defined('LOCAL_TMP_DIR')) 
	define ('LOCAL_TMP_DIR', 'tmp/');
if (!defined('REMOTE_TMP_DIR')) 
	define ('REMOTE_TMP_DIR', 'tmp/');
if (!defined('LOCAL_FILE_REFRESHTIME')) 
	define ('LOCAL_FILE_REFRESHTIME', 86400);

if (!defined('REGION')) 
	define ('VIDEO_SERVER_NAME', 'wwwv.playfon.ru');
elseif (REGION == 'kz')
	define ('VIDEO_SERVER_NAME', 'wwwv.kz.playfon.ru');
else 
	define ('VIDEO_SERVER_NAME', 'wwwv.playfon.'.REGION);

require_once ('common_functions.php');

if (!class_exists('HttpClient'))
        include ('http_client.inc.php');

$aImgArray = array();

/**
*  
* @return (string)            .
* @param (string) sResourceURL - url ,     .  /mygames.php?level=1&subluvel=3
* @param (int) iResourceID -   ,    playfon.ru
* @param (string) sExcludeGenres -      .
*                                 !!!      . : '1_12'
*/

function PlayFonVideos($sResourceURL, $iResourceId, $sExcludeGenres = ''){
    global $_GET;

    $sRequest = 'ph_durl='.urlencode($sResourceURL);
    $sRequest .= '&ph_did='.((int) $iResourceId);

    if (is_array($_GET)){

        foreach($_GET as $key=>$val){

            if ('ph_'==substr($key, 0, 3)) $sRequest .= '&'.$key.'='.$val;
        }
    }

    if (!empty($sExcludeGenres)) $sRequest .= '&ph_exclude_genres='.urlencode($sExcludeGenres);

    $Soc = new HttpClient();
    $sContent = $Soc->Get(VIDEO_SERVER_NAME, 'v_dealers.php?'.$sRequest);
    return $sContent;
}
/**
*   
* @return string            .
* @param (string) sResourceURL- url ,      /mygames.php?level=1&subluvel=3
* @param (int) iResourceID -   ,    playfon.ru
* @param (int) iLimit -   
* @param (boolean) bShowCodes -        
* @param (string) sExcludeGenres string -      .
*                                 !!!      . : '1_12'
*/

function PlayFonTopVideos($sResourceURL, $iResourceId, $iLimit = 4, $bShowCodes = false, $sExcludeGenres = '', $bShowName=false ){
    global $_GET;

    $local_top_file = LOCAL_TMP_DIR.sGetRegion().'top_video.tmp';
    $life_time = time() - @filemtime($local_top_file);

    if ((file_exists($local_top_file)) && ($life_time<LOCAL_FILE_REFRESHTIME)){

        $fp = fopen($local_top_file, 'r');
        if (filesize($local_top_file) > 0)$text = fread($fp, filesize($local_top_file));
        else $text = '<span class="localfilesizeisnull">Waiting for data</span>';
        fclose($fp);
        if (strlen($text) > 60) return $text;
    }

    $sRequest = 'ph_durl='.urlencode($sResourceURL);
    $sRequest .= '&ph_did='.((int) $iResourceId);
    $sRequest .= '&ph_limit='.((int) $iLimit);

    if (!empty($sExcludeGenres)) $sRequest .= '&ph_exclude_genres='.urlencode($sExcludeGenres);
    if ($bShowCodes) $sRequest .= '&ph_show=1';
    if ($bShowName) $sRequest .= '&ph_show_name=1';

    foreach($_GET as $key=>$val){

        if ('ph_'==substr($key, 0, 3)) $sRequest .= '&'.$key.'='.$val;
    }

    $Soc = new HttpClient();
    $sContent = $Soc->Get(VIDEO_SERVER_NAME, 'v_top.php?'.$sRequest);

	if (strlen($sContent) < 30) {
		//   
		@touch($local_top_file);
	    return $sContent;
	}

    $sContent = preg_replace('/src="([^"]+)"/e', "SaveAndReplaceImages('$1', 'tv')", $sContent);


    $fp = @fopen($local_top_file, 'w');

    if ($fp){

        fwrite($fp, $sContent);
        fclose($fp);
    }
/**/
    return $sContent;
}


/**
*   
* @return string            .
* @param (string) sResourceURL- url ,      /mygames.php?level=1&subluvel=3
* @param (int) iResourceID -   ,    playfon.ru
* @param (int) iLimit -   
* @param (boolean) bShowCodes -        
* @param (string) sExcludeGenres string -      .
*                                 !!!      . : '1_12'
*
*/
function PlayFonNewVideos($sResourceURL, $iResourceId, $iLimit = 4 , $bShowCodes = false, $sExcludeGenres = '', $bShowName=false ){
    global $_GET;

    $local_top_file = LOCAL_TMP_DIR.sGetRegion().'new_video.tmp';

    $life_time = time() - @filemtime($local_top_file);

    if ((file_exists($local_top_file)) && ($life_time<LOCAL_FILE_REFRESHTIME)){

        $fp = fopen($local_top_file, 'r');
        if (filesize($local_top_file) >0) $text = fread($fp, filesize($local_top_file));
        else $text = '<span class="localfilesizeisnull">Waiting for data</span>';
        fclose($fp);
        if (strlen($text) > 60) return $text;
    }

    $sRequest = 'ph_durl='.urlencode($sResourceURL);
    $sRequest .= '&ph_did='.((int) $iResourceId);
    $sRequest .= '&ph_limit='.((int) $iLimit);

    if (!empty($sExcludeGenres)) $sRequest .= '&ph_exclude_genres='.urlencode($sExcludeGenres);
    if ($bShowCodes) $sRequest .= '&ph_show=1';
    if ($bShowName) $sRequest .= '&ph_show_name=1';

    foreach($_GET as $key=>$val){

        if ('ph_'==substr($key, 0, 3)) $sRequest .= '&'.$key.'='.$val;
    }

    $Soc = new HttpClient();
    $sContent = $Soc->Get(VIDEO_SERVER_NAME, 'v_new.php?'.$sRequest);

	if (strlen($sContent) < 30) {
		//   
		@touch($local_top_file);
	    return $sContent;
	}


    $sContent = preg_replace('/src="([^"]+)"/e', "SaveAndReplaceImages('$1', 'nv')", $sContent);

    $fp = @fopen($local_top_file, 'w');

    if ($fp){

        fwrite($fp, $sContent);
        fclose($fp);
    }
    return $sContent;
}
?>